/*
 * @Descripttion: HJ
 * @Company: 思宏科技
 * @version: v1.0
 * @Author: HJ
 * @Date: 2020-09-23 10:01:01
 * @LastEditors: HJ
 * @LastEditTime: 2020-09-23 17:23:17
 */
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    value: {
      type: Object,
      value: {},
    },
    anflag: {
      type: Boolean,
      value: false,
    },
    searchflag:{
      type:Boolean,
      value:false
    },
    searchflag: {
      type: Boolean,
      value: false
    },
    index:{
      type:Number,
      value:0
    },
    uidata: {
      type: Object,
      value: {},
    },
    catgid: {
      type: Object,
      value: {},
    },
    storelist: {
      type: Object,
      value: {},
    },
  },

  observers: {},

  /**
   * 组件的初始数据
   */
  data: {},

  /**
   * 组件的方法列表
   */
  methods: {
    takeImgseckill(e) {
      this.triggerEvent("takeImgseckill", e, {});
    },
    takeImg(e) {
      this.triggerEvent("takeImg", e, {});
    },
    codingminus(e) {
      this.triggerEvent("codingminus", e, {});
    },
    codingadd(e) {
      this.triggerEvent("codingadd", e, {});
    },
    takeAnflag(e) {
      this.triggerEvent("takeAnflag", e, {});
    },
  },
});
